Index: tmp/org.txm.core/src/java/org/txm/objects/Base.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Base.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/objects/Base.java	(revision 241)
@@ -45,8 +45,8 @@
 import javax.xml.transform.dom.DOMSource;
 import javax.xml.transform.stream.StreamResult;
 
-import org.txm.Messages;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.ProgressWatcher;
 import org.txm.searchengine.cqp.corpus.Alignement;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -111,8 +111,7 @@
 			Source source = new DOMSource(params.root);
 
 			// Création du fichier de sortie
-			Writer writer = new BufferedWriter(new OutputStreamWriter(
-					new FileOutputStream(params.paramFile), "UTF-8")); //$NON-NLS-1$
+			Writer writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(params.paramFile), "UTF-8")); //$NON-NLS-1$
 			Result resultat = new StreamResult(writer);
 
 			// Configuration du transformer
@@ -125,6 +124,7 @@
 			transformer.transform(source, resultat);
 			writer.close();
 		} catch (Exception e) {
+			e.printStackTrace();
 			Log.severe("Error while saving corpus parameters: "+e.getLocalizedMessage());
 			return false;
 		}
@@ -148,7 +148,7 @@
 			String target = link.getAttribute("target"); //$NON-NLS-1$
 			String[] split = target.split("#"); //$NON-NLS-1$
 			if (split.length != 3) {
-				System.out.println(Messages.Base_6+target);
+				System.out.println(TXMCoreMessages.Base_6+target);
 				continue;
 			}
 			String from = split[1].trim();
@@ -258,7 +258,7 @@
 		Element maincorpus = doc.createElement("corpus"); //$NON-NLS-1$
 		maincorpus.setAttribute("name", corpusName); //$NON-NLS-1$
 		if (selfElement.getElementsByTagName("corpora").getLength() == 0) { //$NON-NLS-1$
-			Log.severe(Messages.Base_22);
+			Log.severe(TXMCoreMessages.Base_22);
 			return null;
 		}
 		Element corporaElem = (Element) selfElement.getElementsByTagName("corpora").item(0); //$NON-NLS-1$
@@ -307,8 +307,8 @@
 			}
 			return true;
 		} else {
-			System.out.println(Messages.Base_0+binarydir+Messages.Base_3);
-			System.out.println(Messages.Base_4+exportzip.getParentFile()+Messages.Base_5);
+			System.out.println(TXMCoreMessages.Base_0+binarydir+TXMCoreMessages.Base_3);
+			System.out.println(TXMCoreMessages.Base_4+exportzip.getParentFile()+TXMCoreMessages.Base_5);
 
 		}
 		return false;
Index: tmp/org.txm.core/src/java/org/txm/objects/Corpus.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/objects/Corpus.java	(revision 241)
@@ -38,12 +38,11 @@
 
 import javax.persistence.EntityManager;
 
-import org.txm.Messages;
 import org.txm.Toolbox;
 import org.txm.annotation.AnnotationManager;
-import org.txm.annotation.DatabasePersistenceManager;
 import org.txm.annotation.repository.KnowledgeRepository;
 import org.txm.annotation.repository.KnowledgeRepositoryManager;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.ProgressWatcher;
 import org.txm.metadatas.DateMetadata;
 import org.txm.metadatas.Metadata;
@@ -51,7 +50,6 @@
 import org.txm.metadatas.MinMaxDateGroup;
 import org.txm.searchengine.cqp.corpus.Alignement;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.sql.SQLConnection;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
 import org.w3c.dom.Document;
@@ -511,7 +509,7 @@
 		Element maincorpus = doc.createElement(CORPUS);
 		maincorpus.setAttribute(NAME, corpusName);
 		if (selfElement.getElementsByTagName(CORPORA).getLength() == 0) {
-			Log.severe(Messages.Base_22);
+			Log.severe(TXMCoreMessages.Base_22);
 			return null;
 		}
 		Element corporaElem = (Element) selfElement.getElementsByTagName(CORPORA).item(0);
@@ -547,8 +545,8 @@
 			}
 			return true;
 		} else {
-			System.out.println(Messages.Base_0+binarydir+Messages.Base_3);
-			System.out.println(Messages.Base_4+exportzip.getParentFile()+Messages.Base_5);
+			System.out.println(TXMCoreMessages.Base_0+binarydir+TXMCoreMessages.Base_3);
+			System.out.println(TXMCoreMessages.Base_4+exportzip.getParentFile()+TXMCoreMessages.Base_5);
 
 		}
 		return false;
Index: tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/objects/TxmObject.java	(revision 241)
@@ -31,7 +31,7 @@
 import java.util.HashMap;
 import java.util.Map;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.ITXMResult;
 import org.txm.core.results.TXMResult;
 import org.w3c.dom.Document;
@@ -209,7 +209,7 @@
 		metadatas.put(key, new Property(key, value, "String", prop)); //$NON-NLS-1$
 		}
 		catch(Exception e){
-			System.out.println(Messages.TxmObject_2+key+":"+value); //$NON-NLS-1$
+			System.out.println(TXMCoreMessages.TxmObject_2+key+":"+value); //$NON-NLS-1$
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiServer.java	(revision 241)
@@ -38,8 +38,8 @@
 
 import org.apache.commons.lang.ArrayUtils;
 import org.apache.commons.lang.StringUtils;
-import org.txm.Messages;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.serverException.CqiCqpErrorNoSuchCorpus;
@@ -198,7 +198,7 @@
 			isLoaded = start(cmdLine);
 			//System.out.println("IS LOADED: "+isLoaded);
 			if (isLoaded) {
-				System.out.println(Messages.CqiClient_34);
+				System.out.println(TXMCoreMessages.CqiClient_34);
 			} else {
 				System.out.println("Failed to start SearchEngine in memory mode.");
 			}
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/NetCqiClient.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/NetCqiClient.java	(revision 241)
@@ -40,7 +40,7 @@
 import java.util.Arrays;
 import java.util.HashMap;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
@@ -171,7 +171,7 @@
 	 */
 	private synchronized String readString() throws UnexpectedAnswerException,
 	CqiServerError, IOException {
-		Log.finest(Messages.READING_STRING_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_STRING_FROM_CQI_SERVER);
 		if (readHeaderFromServer() != CQI_DATA_STRING) {
 			throw new UnexpectedAnswerException();
 		}
@@ -179,7 +179,7 @@
 		byte[] bytes = new byte[length];
 		this.streamFromServer.readFully(bytes);
 		String res = new String(bytes, "UTF-8"); //$NON-NLS-1$
-		Log.finest(Messages.bind(Messages.READ_STRING_FROM_CQI_SERVER, res));
+		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_STRING_FROM_CQI_SERVER, res));
 		return res;
 	}
 
@@ -198,13 +198,13 @@
 	private synchronized boolean readBoolean()
 			throws UnexpectedAnswerException, CqiServerError, IOException {
 		byte b = 0;
-		Log.finest(Messages.READING_BOOLEAN_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_BOOLEAN_FROM_CQI_SERVER);
 		if (readHeaderFromServer() != CQI_DATA_BOOL) {
 			throw new UnexpectedAnswerException();
 		}
 		b = this.streamFromServer.readByte();
 		boolean res = (b == 1);
-		Log.finest(Messages.READ_BOOLEAN_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READ_BOOLEAN_FROM_CQI_SERVER);
 		return res;
 	}
 
@@ -222,12 +222,12 @@
 	 */
 	private synchronized int readInt() throws UnexpectedAnswerException,
 	CqiServerError, IOException {
-		Log.finest(Messages.READING_INTEGER_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_INTEGER_FROM_CQI_SERVER);
 		if (readHeaderFromServer() != CQI_DATA_INT) {
 			throw new UnexpectedAnswerException();
 		}
 		int res = this.streamFromServer.readInt();
-		Log.finest(Messages.READ_INTEGER_FROM_CQI_SERVER + res);
+		Log.finest(TXMCoreMessages.READ_INTEGER_FROM_CQI_SERVER + res);
 		return res;
 	}
 
@@ -245,7 +245,7 @@
 	 */
 	private synchronized String[] readStringArray()
 			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(Messages.READING_STRING_ARRAY_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_STRING_ARRAY_FROM_CQI_SERVER);
 		byte[] header = readHeaderFromServer();
 		if (header != CQI_DATA_STRING_LIST) {
 			throw new UnexpectedAnswerException();
@@ -287,7 +287,7 @@
 		// long end = System.currentTimeMillis();
 		// System.out.println(nByteRead + " bytes read in " +(end-start)+ "ms ("
 		// + (nByteRead/(1+end-start)) + "kb/s)");
-		Log.finest(Messages.READ_STRING_ARRAY_FROM_CQI_SERVER
+		Log.finest(TXMCoreMessages.READ_STRING_ARRAY_FROM_CQI_SERVER
 				+ Arrays.asList(strings));
 		return strings;
 	}
@@ -341,7 +341,7 @@
 	 */
 	private synchronized int[] readIntList() throws UnexpectedAnswerException,
 	CqiServerError, IOException {
-		Log.finest(Messages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
 		if ((readHeaderFromServer()) != CQI_DATA_INT_LIST) {
 			throw new UnexpectedAnswerException();
 		}
@@ -422,7 +422,7 @@
 	 */
 	private synchronized int[][] readIntTable()
 			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(Messages.READING_2D_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_2D_INT_ARRAY_FROM_CQI_SERVER);
 		if ((readHeaderFromServer()) != CQI_DATA_INT_TABLE) {
 			throw new UnexpectedAnswerException();
 		}
@@ -432,7 +432,7 @@
 		for (int i = 0; i < nRow; i++)
 			for (int j = 0; j < nCol; j++)
 				ints[i][j] = this.streamFromServer.readInt();
-		Log.finest(Messages.READ_2D_INT_ARRAY_FROM_CQI_SERVER
+		Log.finest(TXMCoreMessages.READ_2D_INT_ARRAY_FROM_CQI_SERVER
 				+ Arrays.asList(ints));
 		return ints;
 	}
@@ -447,14 +447,14 @@
 	 */
 	private synchronized int[] readIntInt() throws IOException,
 	UnexpectedAnswerException, CqiServerError {
-		Log.finest(Messages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
 		if (readHeaderFromServer() != CQI_DATA_INT_INT) {
 			throw new UnexpectedAnswerException();
 		}
 		int[] res = new int[2];
 		res[0] = this.streamFromServer.readInt();
 		res[1] = this.streamFromServer.readInt();
-		Log.finest(Messages.READ_INT_ARRAY_FROM_CQI_SERVER
+		Log.finest(TXMCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER
 				+ Arrays.asList(res));
 		return res;
 	}
@@ -469,7 +469,7 @@
 	 */
 	private synchronized int[] readIntIntIntInt() throws IOException,
 	UnexpectedAnswerException, CqiServerError {
-		Log.finest(Messages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
 		if (readHeaderFromServer() != CQI_DATA_INT_INT_INT_INT) {
 			throw new UnexpectedAnswerException();
 		}
@@ -478,7 +478,7 @@
 		res[1] = this.streamFromServer.readInt();
 		res[2] = this.streamFromServer.readInt();
 		res[3] = this.streamFromServer.readInt();
-		Log.finest(Messages.READ_INT_ARRAY_FROM_CQI_SERVER
+		Log.finest(TXMCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER
 				+ Arrays.asList(res));
 		return res;
 	}
@@ -497,15 +497,15 @@
 	 */
 	private synchronized byte[] readHeaderFromServer()
 			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(Messages.READING_HEADER_FROM_CQI_SERVER);
+		Log.finest(TXMCoreMessages.READING_HEADER_FROM_CQI_SERVER);
 		byte b = this.streamFromServer.readByte();
-		Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 		switch (b) {
 		case 0x00:// cf cqi.h:29
 			return CQI_PADDING;
 		case 0x01:// cf cqi.h:37
 			b = this.streamFromServer.readByte();
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				return CQI_STATUS_OK;
@@ -518,8 +518,8 @@
 			}
 		case 0x02:// cf cqi.h:45
 			b = this.streamFromServer.readByte();
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
-			lastError = Messages.MemCqiClient_0+b;
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = TXMCoreMessages.MemCqiClient_0+b;
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiErrorGeneralError();
@@ -532,7 +532,7 @@
 			}
 		case 0x03:// cf cqi.h:53
 			b = this.streamFromServer.readByte();
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				return CQI_DATA_BYTE;
@@ -560,8 +560,8 @@
 		case 0x04:// cf cqi.h:67
 
 			b = this.streamFromServer.readByte();
-			lastError = Messages.MemCqiClient_1+b;
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = TXMCoreMessages.MemCqiClient_1+b;
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiClErrorNoSuchAttribute();
@@ -582,8 +582,8 @@
 		case 0x05:// cf cqi.h:94
 
 			b = this.streamFromServer.readByte();
-			lastError = Messages.MemCqiClient_2+b;
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = TXMCoreMessages.MemCqiClient_2+b;
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiCqpErrorErrorGeneral();
@@ -714,7 +714,7 @@
 						.getOutputStream());
 				this.streamFromServer = new DataInputStream(this.socket
 						.getInputStream());
-				System.out.print(Messages.CqiClient_32);
+				System.out.print(TXMCoreMessages.CqiClient_32);
 				return;
 			} catch (IOException e) {
 				System.err.print("."); //$NON-NLS-1$
@@ -726,7 +726,7 @@
 
 			attempts--;
 		}
-		throw new ServerNotFoundException(Messages.CqiClient_33);
+		throw new ServerNotFoundException(TXMCoreMessages.CqiClient_33);
 	}
 
 	// CQI_ERROR_CONNECT_REFUSED
@@ -745,14 +745,14 @@
 			throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.username = username;
 		this.password = password;
-		Log.finest(Messages.CONNECTING_CQI_CLIENT + username
+		Log.finest(TXMCoreMessages.CONNECTING_CQI_CLIENT + username
 				+ ":" + password + "@" + host + ":" + port); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		this.streamToServer.write(CQI_CTRL_CONNECT);
 		this.writeString(username);
 		this.writeString(password);
 		try {
 			readHeaderFromServer();
-			Log.finest(Messages.CQI_CLIENT_CONNECTED);
+			Log.finest(TXMCoreMessages.CQI_CLIENT_CONNECTED);
 			return true;
 		} catch (CqiErrorConnectRefused e) {
 			return false;
@@ -786,7 +786,7 @@
 	public synchronized String getLastError(){	
 		if(lastError != null && lastError.length() > 0)
 			return lastError;
-		return Messages.AbstractCqiClient_2;
+		return TXMCoreMessages.AbstractCqiClient_2;
 	}
 
 	// CQI_CTRL_LAST_GENERAL_ERROR
@@ -801,14 +801,14 @@
 	@Override
 	public synchronized String getLastCqiError() throws UnexpectedAnswerException, IOException,
 	CqiServerError {
-		Log.severe(Messages.CqiClient_0);
+		Log.severe(TXMCoreMessages.CqiClient_0);
 		this.streamToServer.write(CQI_CTRL_LAST_GENERAL_ERROR);
 
 		try {
 			String ret = readString();
 			return getLastCQPError()+"\t"+ret; //$NON-NLS-1$
 		} catch (CqiServerError e) {
-			System.out.println(Messages.NetCqiClient_1+e);
+			System.out.println(TXMCoreMessages.NetCqiClient_1+e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -829,7 +829,7 @@
 			String ret = readString();
 			return ret;
 		} catch (Exception e) {
-			System.out.println(Messages.NetCqiClient_3+e);
+			System.out.println(TXMCoreMessages.NetCqiClient_3+e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -1598,7 +1598,7 @@
 		try {
 			return connect(username, password);
 		} catch (Exception e) {
-			System.out.println(Messages.NetCqiClient_5+e);
+			System.out.println(TXMCoreMessages.NetCqiClient_5+e);
 			return false;
 		}
 	}
@@ -1765,7 +1765,7 @@
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
-			System.out.println(Messages.NetCqiClient_97+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
+			System.out.println(TXMCoreMessages.NetCqiClient_97+Arrays.toString(client.dumpSubCorpus(subcorpusid, NetCqiClient.CQI_CONST_FIELD_MATCH, 1, 10)));
 		} catch(Exception e) { System.out.println("Exception : "+e);} //$NON-NLS-1$
 
 		try {
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiClient.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiClient.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/MemCqiClient.java	(revision 241)
@@ -2,7 +2,7 @@
 
 import java.io.IOException;
 
-import org.txm.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.serverException.CqiClErrorCorpusAccess;
 import org.txm.searchengine.cqp.serverException.CqiClErrorInternal;
@@ -23,8 +23,6 @@
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
 
-import com.sun.star.lang.IllegalArgumentException;
-
 /**
  * @author mdecorde
  * Declares all the natives methods
@@ -62,12 +60,12 @@
 		byte b2 = ret[3];
 		//System.out.println("bytes: "+ret[0]+" "+ret[1]+" "+ret[2]+" "+ret[3]);
 		//System.out.println("b1 "+b+ " b2 "+b2);
-		Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 		switch (b) {
 		case 0x00:// cf cqi.h:29
 			return CQI_PADDING;
 		case 0x01:// cf cqi.h:37
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_STATUS_OK;
@@ -78,12 +76,12 @@
 			case 0x04:// cf cqi.h:42
 				return CQI_STATUS_PING_OK;
 			default:
-				throw new CqiErrorGeneralError(Messages.MemCqiClient_3+b+Messages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
 			}
 		case 0x02:// cf cqi.h:45
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 
-			lastError = Messages.MemCqiClient_0+" CQI_ERROR ("+b+")";
+			lastError = TXMCoreMessages.MemCqiClient_0+" CQI_ERROR ("+b+")";
 
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
@@ -95,10 +93,10 @@
 			case 0x04:// cf cqi.h:42
 				throw new CqiErrorSyntaxError();
 			default:
-				throw new CqiErrorGeneralError(Messages.MemCqiClient_5+b+Messages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_5+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
 			}
 		case 0x03:// cf cqi.h:53
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				return CQI_DATA_BYTE;
@@ -123,12 +121,12 @@
 			case 0x0B:// cf cqi.h:42
 				return CQI_DATA_INT_TABLE;
 			default:
-				throw new CqiErrorGeneralError(Messages.MemCqiClient_7+b+Messages.MemCqiClient_9+b2); //$NON-NLS-2$
+				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_7+b+TXMCoreMessages.MemCqiClient_9+b2); //$NON-NLS-2$
 			}
 		case 0x04:// cf cqi.h:67
 
-			lastError = Messages.MemCqiClient_1+"CL_ERROR ("+b+")";
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = TXMCoreMessages.MemCqiClient_1+"CL_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": NoSuchAttribute error";
@@ -153,13 +151,13 @@
 				throw new CqiClErrorInternal();
 			default:
 				lastError += ": Unknown error";
-				throw new CqiErrorGeneralError(Messages.MemCqiClient_3+b+Messages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2);
 			}
 
 		case 0x05:// cf cqi.h:94
 
-			lastError = Messages.MemCqiClient_2+"CQI_CQP_ERROR ("+b+")";
-			Log.finest(Messages.bind(Messages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = TXMCoreMessages.MemCqiClient_2+"CQI_CQP_ERROR ("+b+")";
+			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
 			switch (b2) {
 			case 0x01:// cf cqi.h:39
 				lastError += ": General error";
@@ -177,10 +175,10 @@
 				lastError = getLastCQPError();
 				throw new CqiCqpErrorSyntax();
 			default:
-				throw new CqiErrorGeneralError(Messages.MemCqiClient_3+b+Messages.MemCqiClient_9+b2);
+				throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_3+b+TXMCoreMessages.MemCqiClient_9+b2);
 			}
 		default:
-			throw new CqiErrorGeneralError(Messages.MemCqiClient_10+b+Messages.MemCqiClient_9+b2);
+			throw new CqiErrorGeneralError(TXMCoreMessages.MemCqiClient_10+b+TXMCoreMessages.MemCqiClient_9+b2);
 		}
 		//return null;
 	}
@@ -351,7 +349,7 @@
 			throws IOException, UnexpectedAnswerException, CqiServerError {
 		Boolean ret = server.query(arg0);
 		if(ret == null || !ret) {
-			System.out.println(Messages.MemCqiClient_11);
+			System.out.println(TXMCoreMessages.MemCqiClient_11);
 			throwExceptionFromCqi(server.getErrorCode());
 		}
 	}
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/CorpusManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/CorpusManager.java	(revision 241)
@@ -31,8 +31,8 @@
 import java.util.List;
 
 import org.eclipse.persistence.annotations.Structure;
-import org.txm.Messages;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.NetCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -90,7 +90,7 @@
 	 */
 	public static CorpusManager getCorpusManager() {
 		if (cqiClient == null)
-			throw new RuntimeException(Messages.CorpusManager_0);
+			throw new RuntimeException(TXMCoreMessages.CorpusManager_0);
 		if (corpusManager == null)
 			corpusManager = new CorpusManager();
 		return corpusManager;
@@ -181,7 +181,7 @@
 			try {
 				corpora.add(this.getCorpus(corporaName[i]));
 			} catch (InvalidCqpIdException e) {
-				throw new CqiClientException(Messages.CorpusManager_1, e);
+				throw new CqiClientException(TXMCoreMessages.CorpusManager_1, e);
 			}
 		}
 		
Index: tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Partition.java	(revision 240)
+++ tmp/org.txm.core/src/java/org/txm/searchengine/cqp/corpus/Partition.java	(revision 241)
@@ -42,8 +42,8 @@
 import java.util.TreeMap;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.Messages;
 import org.txm.Toolbox;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.objects.TxmObject;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -112,7 +112,7 @@
 	protected Partition(Corpus corpus, StructuralUnit structure, StructuralUnitProperty property, List<String> values)	throws CqiClientException {
 		super(corpus);
 		this.name = corpus.getName()+ "_" + structure.getName() + "_" + property.getName(); //$NON-NLS-1$ //$NON-NLS-2$
-		Log.finest(NLS.bind(Messages.NEW_PARTION, this.getCorpus(), this.name)); 
+		Log.finest(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name)); 
 		long start = System.currentTimeMillis();
 		this.structure = structure;
 		this.property = property;
@@ -171,7 +171,7 @@
 			parts.add(part);
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(NLS.bind(Messages.PARTITION_CREATED, this.name, (end - start)));
+		Log.finest(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
 	}
 
 	/**
@@ -203,7 +203,7 @@
 		if (name == null || name.trim().length() == 0)
 			name = "noname"; //$NON-NLS-1$
 		this.name = name;
-		Log.info(NLS.bind(Messages.NEW_PARTION, this.getCorpus(), this.name));
+		Log.info(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name));
 		long start = System.currentTimeMillis();
 		this.parts = new ArrayList<Part>();
 		for (int i = 0; i < queries.size(); i++) {
@@ -215,7 +215,7 @@
 			parts.add(part);
 		}
 		long end = System.currentTimeMillis();
-		Log.info(NLS.bind(Messages.PARTITION_CREATED, this.name, (end - start)));
+		Log.info(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
 	}
 
 	/**
@@ -234,7 +234,7 @@
 		if (name == null || name.trim().length() == 0)
 			name = "noname"; //$NON-NLS-1$
 		this.name = name;
-		Log.info(NLS.bind(Messages.NEW_PARTION, this.getCorpus(), this.name));
+		Log.info(NLS.bind(TXMCoreMessages.NEW_PARTION, this.getCorpus(), this.name));
 		long start = System.currentTimeMillis();
 		this.parts = new ArrayList<Part>();
 		for (int i = 0; i < queries.size(); i++) {
@@ -246,7 +246,7 @@
 			parts.add(part);
 		}
 		long end = System.currentTimeMillis();
-		Log.info(NLS.bind(Messages.PARTITION_CREATED, this.name, (end - start)));
+		Log.info(NLS.bind(TXMCoreMessages.PARTITION_CREATED, this.name, (end - start)));
 	}
 
 	
@@ -284,7 +284,7 @@
 	throws CqiClientException {
 		Part part;
 		String partCqpId = CqpObject.partNamePrefix + Corpus.getNextSubcorpusCounter();
-		Log.finest(NLS.bind(Messages.CREATING_PART,partName, query));
+		Log.finest(NLS.bind(TXMCoreMessages.CREATING_PART,partName, query));
 		long start = System.currentTimeMillis();
 		try {
 			CorpusManager.getCorpusManager().getCqiClient().cqpQuery(
@@ -293,16 +293,16 @@
 					new Query(query));
 		} catch (Exception e) {
 			try {
-				throw new CqiClientException(Messages.Partition_9 + partitionName
+				throw new CqiClientException(TXMCoreMessages.Partition_9 + partitionName
 						+ "_" + partName+ e +" last error: "+Toolbox.getCqiClient().getLastCQPError()); //$NON-NLS-1$ //$NON-NLS-2$
 			} catch (Exception e1) {
-				System.out.println(Messages.Partition_18+e1);
+				System.out.println(TXMCoreMessages.Partition_18+e1);
 				org.txm.utils.logger.Log.printStackTrace(e1);
 				return null;
 			}
 		}
 		long end = System.currentTimeMillis();
-		Log.finest(NLS.bind(Messages.PART_CREATED, partitionName
+		Log.finest(NLS.bind(TXMCoreMessages.PART_CREATED, partitionName
 				+ "_" + partName, (end - start))); //$NON-NLS-1$//$NON-NLS-2$
 		return part;
 	}
@@ -403,7 +403,7 @@
 	 */
 	public List<QueryResult> query(Query query, String name)
 	throws CqiClientException {
-		Log.finest(Messages.QUERYING_PARTITION + this.name);
+		Log.finest(TXMCoreMessages.QUERYING_PARTITION + this.name);
 		List<QueryResult> results = new ArrayList<QueryResult>(parts.size());
 		for (Subcorpus part : parts)
 			results.add(part.query(query, part.getName() + "_" + name, false)); //$NON-NLS-1$
@@ -541,7 +541,7 @@
 				partitionElem.appendChild(partElem);
 			}
 		} catch (Exception e) {
-			System.out.println(Messages.Partition_21+e);
+			System.out.println(TXMCoreMessages.Partition_21+e);
 		}
 		this.load();
 	}
